
=head1 NAME

Win32::GUI::Button - Create and manipulate button controls

=head1 DESCRIPTION

[TBD]

=for comment $Id: per_package_method_section.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head1 METHODS

L<Common methods|Win32::GUI::Reference::Methods> apply to most windows, controls and resources.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 new

B<new(PARENT, %OPTIONS)>

Creates a new Button object;
can also be called as PARENT->AddButton(%OPTIONS).

Class specific B<%OPTIONS> are:

    -align   => left/center/right (default left)
      specify horizontal text align.
    -valign  => top/center/bottom
      specify vertical text align.
    -default => 0/1 (default 0)
      Set/Unset default push button style. A default Button has a black
      border drawn around it.
    -ok      => 0/1 (default 0)
      Set/Unset button id to ID_OK. If 1, the button will correspond to the OK
      action of a dialog, and its Click event will be fired by pressing the ENTER key.
    -cancel  => 0/1 (default 0)
      Set/Unset button id to ID_CANCEL. If 1, the button will correspond to the CANCEL
      action of a dialog, and its Click event will be fired by pressing the ESC key.
    -bitmap  => Win32::GUI::Bitmap object
      Create a bitmap button.
    -picture => see -bitmap
    -icon    => Win32::GUI::Icon object
      Create a icon button.
    -3state  => 0/1 (default 0)
      Set/Unset 3 state style.
    -flat  => 0/1 (default 0)
      Set/Unset flat style.
    -multiline  => 0/1 (default 0)
      Set/Unset multiline style.
    -notify  => 0/1 (default 0)
      Set/Unset notify style.
    -pushlike  => 0/1 (default 0)
      Set/Unset pushlike style.
    -rightbutton  => 0/1 (default 0)
      Set/Unset rightbutton style.

See also the L<common options|Win32::GUI::Reference::Options>.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Click

B<Click()>

Simulate the user clicking a button.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 GetImage

B<GetImage(TYPE)>

Retrieve a handle to the image (icon or bitmap) associated with the button.

 TYPE = IMAGE_BITMAP | IMAGE_ICON

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 SetImage

B<SetImage(BITMAP)>

Draws the specified B<BITMAP>, a Win32::GUI::Bitmap or Win32::GUI::Icon
object, in the Button.




=for comment $Id: per_package_event_section.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head1 EVENTS

L<Common events|Win32::GUI::Reference::Events> apply to most windows and controls.

=for comment $Id: per_package_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Click

B<Click()>

Sent when the control is selected (eg.
the button pushed, the checkbox checked, etc.).

=for comment $Id: per_package_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 DblClick

B<DblClick()>

Sent when the user double clicks on the control.

=for comment $Id: per_package_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Disable

B<Disable()>

Sent when the button is disabled

=for comment $Id: per_package_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 GotFocus

B<GotFocus()>

Sent when the control is activated.

=for comment $Id: per_package_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 LostFocus

B<LostFocus()>

Sent when the control is deactivated.

=for comment $Id: per_package_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Push

B<Push(State)>

Sent when the state button change.





=for comment $Id: pod_postamble.tpl,v 1.2 2005/08/03 21:45:59 robertemay Exp $

=head1 VERSION

Documentation for Win32::GUI v1.12 created 20 Jan 2016

This document is autogenerated by the build process. Edits made here will be lost.
Edit F<docs/per_package.tpl> instead.

=head1 SUPPORT

Homepage: L<http://perl-win32-gui.sourceforge.net/>.

For further support join the users mailing list from the website
at L<http://lists.sourceforge.net/lists/listinfo/perl-win32-gui-users>.  There is a searchable list archive at L<http://sourceforge.net/p/perl-win32-gui/mailman/perl-win32-gui-users/>.

=head1 COPYRIGHT and LICENCE

Copyright (c) 1997..2016 Aldo Calpini. All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the same terms as Perl itself.


